zenilib: FT_Size_Metrics_ Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
FT_Size_Metrics_ Struct Reference

`#include <freetype.h>`

## Public Attributes

FT_Pos | ascender
FT_Pos | descender
FT_Pos | height
FT_Pos | max_advance
FT_UShort | x_ppem
FT_Fixed | x_scale
FT_UShort | y_ppem
FT_Fixed | y_scale

## Detailed Description

Definition at line 1360 of file freetype.h.

## Member Data Documentation

FT_Pos FT_Size_Metrics_::ascender

Definition at line 1368 of file freetype.h.

Referenced by FNT_Size_Select(), ft_recompute_scaled_metrics(), FT_Request_Metrics(), FT_Request_Size(), FT_Select_Metrics(), FT_Select_Size(), and tt_size_reset().

FT_Pos FT_Size_Metrics_::descender

Definition at line 1369 of file freetype.h.

Referenced by FNT_Size_Select(), ft_recompute_scaled_metrics(), FT_Request_Metrics(), FT_Request_Size(), FT_Select_Metrics(), FT_Select_Size(), and tt_size_reset().

FT_Pos FT_Size_Metrics_::height

Definition at line 1370 of file freetype.h.

Referenced by ft_recompute_scaled_metrics(), FT_Request_Metrics(), FT_Request_Size(), FT_Select_Metrics(), FT_Select_Size(), sfnt_load_face(), and tt_size_reset().

FT_Pos FT_Size_Metrics_::max_advance

Definition at line 1371 of file freetype.h.

Referenced by FNT_Size_Select(), ft_recompute_scaled_metrics(), FT_Request_Metrics(), FT_Request_Size(), FT_Select_Metrics(), FT_Select_Size(), and tt_size_reset().

FT_UShort FT_Size_Metrics_::x_ppem

Definition at line 1362 of file freetype.h.

Referenced by FT_Request_Metrics(), FT_Request_Size(), FT_Select_Metrics(), FT_Select_Size(), pfr_get_metrics(), sfnt_load_face(), and tt_size_reset().

FT_Fixed FT_Size_Metrics_::x_scale

Definition at line 1365 of file freetype.h.

Referenced by _ft_face_scale_advances(), af_loader_load_glyph(), FT_Load_Glyph(), ft_recompute_scaled_metrics(), FT_Request_Metrics(), FT_Request_Size(), FT_Select_Metrics(), FT_Select_Size(), T1_Size_Request(), TT_Hint_Glyph(), and tt_size_reset().

FT_UShort FT_Size_Metrics_::y_ppem

Definition at line 1363 of file freetype.h.

Referenced by FT_Request_Metrics(), FT_Request_Size(), FT_Select_Metrics(), FT_Select_Size(), pfr_get_metrics(), sfnt_load_face(), and tt_size_reset().

FT_Fixed FT_Size_Metrics_::y_scale

Definition at line 1366 of file freetype.h.

Referenced by _ft_face_scale_advances(), af_loader_load_glyph(), compute_glyph_metrics(), FT_GlyphSlot_Embolden(), FT_Load_Glyph(), ft_recompute_scaled_metrics(), FT_Request_Metrics(), FT_Request_Size(), FT_Select_Metrics(), FT_Select_Size(), T1_Size_Request(), TT_Hint_Glyph(), and tt_size_reset().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/freetype2/include/freetype/freetype.h